Bug 997577 - [abrt] firmware-tools-2.1.15-1.fc19.4: inventory_firmware_gui:22:<module>:ImportError: No module named gnome.ui
[abrt] firmware-tools-2.1.15-1.fc19.4: inventory_firmware_gui:22:<module>:Imp...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firmware-tools (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael E Brown
Fedora Extras Quality Assurance
abrt_hash:cef4b8711a1f515ad182d101ad9...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 12:16 EDT by Ang Hun Beet [Elvin]
Modified: 2013-12-20 21:16 EST (History)
3 users (show)

See Also:
Fixed In Version: firmware-tools-2.1.15-1.fc19.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:16:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.72 KB, text/plain)
2013-08-15 12:16 EDT, Ang Hun Beet [Elvin]
no flags Details
File: environ (3.57 KB, text/plain)
2013-08-15 12:17 EDT, Ang Hun Beet [Elvin]
no flags Details

  None (edit)
Description Ang Hun Beet [Elvin] 2013-08-15 12:16:53 EDT
Version-Release number of selected component:
firmware-tools-2.1.15-1.fc19.4

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/sbin/inventory_firmware_gui
executable:     /usr/sbin/inventory_firmware_gui
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
inventory_firmware_gui:22:<module>:ImportError: No module named gnome.ui

Traceback (most recent call last):
  File "/usr/sbin/inventory_firmware_gui", line 22, in <module>
    import gnome.ui
ImportError: No module named gnome.ui

Local variables in innermost frame:
cStringIO: <module 'cStringIO' from '/usr/lib64/python2.7/lib-dynload/cStringIO.so'>
locale: <module 'locale' from '/usr/lib64/python2.7/locale.pyc'>
GInitiallyUnowned: <class 'gtk.__main__.GInitiallyUnowned'>
GPollableOutputStream: <class 'gio.__main__.GPollableOutputStream'>
gtk: <module 'gtk' from '/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.pyc'>
__package__: None
getopt: <module 'getopt' from '/usr/lib64/python2.7/getopt.pyc'>
__doc__: '\n    this is the documentation...\n'
__warningregistry__: {("Not importing directory '/usr/lib64/python2.7/site-packages/gtk-2.0/gnome': missing __init__.py", <type 'exceptions.ImportWarning'>, 22): True}
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/sbin/inventory_firmware_gui'
pygtk: <module 'pygtk' from '/usr/lib64/python2.7/site-packages/pygtk.pyc'>
sys: <module 'sys' (built-in)>
__name__: '__main__'
pango: <module 'pango' from '/usr/lib64/python2.7/site-packages/gtk-2.0/pango.so'>
_: <function gettext at 0x144e6e0>
GPollableInputStream: <class 'gio.__main__.GPollableInputStream'>
commands: <module 'commands' from '/usr/lib64/python2.7/commands.pyc'>
traceback: <module 'traceback' from '/usr/lib64/python2.7/traceback.pyc'>
GFileDescriptorBased: <class 'gio.__main__.GFileDescriptorBased'>
threading: <module 'threading' from '/usr/lib64/python2.7/threading.pyc'>
gobject: <module 'gobject' from '/usr/lib64/python2.7/site-packages/gobject/__init__.pyc'>
os: <module 'os' from '/usr/lib64/python2.7/os.pyc'>
Comment 1 Ang Hun Beet [Elvin] 2013-08-15 12:16:58 EDT
Created attachment 786980 [details]
File: backtrace
Comment 2 Ang Hun Beet [Elvin] 2013-08-15 12:17:02 EDT
Created attachment 786981 [details]
File: environ
Comment 3 Fedora Update System 2013-08-19 16:55:05 EDT
firmware-tools-2.1.15-1.fc19.5 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firmware-tools-2.1.15-1.fc19.5
Comment 4 Fedora Update System 2013-08-20 20:03:50 EDT
Package firmware-tools-2.1.15-1.fc19.5:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firmware-tools-2.1.15-1.fc19.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15044/firmware-tools-2.1.15-1.fc19.5
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-29 20:41:21 EDT
firmware-tools-2.1.15-1.fc19.5 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Ville Skyttä 2013-10-04 06:06:28 EDT
Adding a dependency on gnome-python2-gnome does not seem to be the best way to fix this -- as far as I can see, the "import gnome.ui" line could simply be removed or commented out from inventory_firmware_gui and the added dependency removed, nothing appears to be actually using any gnome-python2 stuff.
Comment 7 Fedora Update System 2013-10-10 17:42:49 EDT
firmware-tools-2.1.15-1.fc19.6 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/firmware-tools-2.1.15-1.fc19.6
Comment 8 Fedora Update System 2013-10-11 20:02:03 EDT
Package firmware-tools-2.1.15-1.fc19.6:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firmware-tools-2.1.15-1.fc19.6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18921/firmware-tools-2.1.15-1.fc19.6
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-20 21:16:57 EST
firmware-tools-2.1.15-1.fc19.6 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.